import request from '@/utils/request'

// 查询企业欠税信息列表
export function listInfo(query) {
  return request({
    url: '/crmEnterpriseTaxArrearsInfo/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业欠税信息详细
export function getInfo(id) {
  return request({
    url: '/crmEnterpriseTaxArrearsInfo/info/' + id,
    method: 'get'
  })
}

// 新增企业欠税信息
export function addInfo(data) {
  return request({
    url: '/crmEnterpriseTaxArrearsInfo/info',
    method: 'post',
    data: data
  })
}

// 修改企业欠税信息
export function updateInfo(data) {
  return request({
    url: '/crmEnterpriseTaxArrearsInfo/info',
    method: 'put',
    data: data
  })
}

// 删除企业欠税信息
export function delInfo(id) {
  return request({
    url: '/crmEnterpriseTaxArrearsInfo/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
  console.log(ids);
  return request.post('/crmEnterpriseTaxArrearsInfo/delete',ids)
}

